roles: Missing resource type "Repository" while adding permissions to selected role

07/09/2014 01:45 PM - Walden Raines

Status: Closed   

Priority: Normal   

Assignee: Walden Raines   

Category: Web UI   

Target version: Katello 2.0   

Difficulty: trivial Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link: 1112255 Red Hat JIRA:  

Pull request:    

Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1112255

Description of problem:

I'm not sure if its a bug or a expected behaviour, but I didn't find "Repository" Resource type. I can see "Product" and it has

permissions like: view, edit, create etc.

Let's say I want user A to promote and publish a repo to next env. Then there is no way to select repository.

OR

If I want to sync a specific repo. OR if I want a userA to upload contents to repoA

Version-Release number of selected component (if applicable):

sat6 beta snap10 compose2

How reproducible:

always

Steps to Reproduce:

1. Create role

2. add permissions, select resource type

3.

Actual results:

Missing resource type "Repository" while adding permissions to selected role

Expected results:

Repository resource type should be available

Additional info:

Associated revisions

Revision 62caf068 - 07/09/2014 02:22 PM - Walden Raines

Fixes #6553/BZ111225: add "repositories" to product resource type name.

There was some confusion about Repository permissions being underneath

Products. This commit simply updates the resource type name to make

it obvious that repositories are also affected by these permissions.

http://projects.theforeman.org/issues/6553

https://bugzilla.redhat.com/show_bug.cgi?id=1112255

Revision a4c76d92 - 07/10/2014 09:24 AM - Walden Raines

Merge pull request #4411 from waldenraines/6553

Fixes #6553/BZ111225: add "repositories" to product resource type name.
History

#1 - 07/09/2014 01:58 PM - Walden Raines

- Status changed from New to Ready For Testing

https://github.com/Katello/katello/pull/4411

#2 - 07/10/2014 10:01 AM - Walden Raines

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset katello|62caf068bf0d80f25f294b39233db7f0c0050de5.

#3 - 07/10/2014 10:37 AM - Eric Helms

- Category set to Web UI

- Target version set to 49

- Difficulty set to trivial

- Triaged changed from No to Yes

#4 - 08/22/2014 09:01 AM - Eric Helms

- translation missing: en.field_release set to 13
